from setuptools import setup, find_packages

setup(
    name="dialog-editor-pro",
    version="1.0.0",
    packages=find_packages(),
    include_package_data=True,
    entry_points={
        'console_scripts': [
            'dialog-editor=dialog_editor.cli:main'
        ]
    },
    install_requires=[
        'click>=8.0',
        'pywebview>=3.6'
    ],
    package_data={
        'dialog_editor': ['static/*']
    },
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3.8',
    ],
    python_requires='>=3.8',
    author="Your Name",
    author_email="your.email@example.com",
    description="Professional Dialog Editor with PDF Export",
    long_description=open('README.md').read(),
    long_description_content_type='text/markdown',
    url="https://github.com/yourusername/dialog-editor-pro",
)
